<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-03-28 15:52:05 +0100 (Thu, 28 Mar 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_general.php 6058 2013-03-28 14:52:05Z rotsch $
 */

define('SOFORT_MULTIPAY_JS_LIBS', '
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/jquery.min_1.8.3.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/jquery-ui.min_1.9.1.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/sofortbox.js"></script>
');

define('SOFORT_MULTIPAY_CONFIGURATION_KEY_TITLE', 'Konfiguracn klc');
define('SOFORT_MULTIPAY_CONFIGURATION_KEY_DESC', 'Konfiguracn klc pridelen SOFORT AG');
define('SOFORT_MULTIPAY_AUTH_TITLE', 'Konfiguracn klc/otestovat API klc');
define('SOFORT_MULTIPAY_AUTH_DESC', '<noscript>Aktivujte prosm Javascript!</noscript><script src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/testAuth.js"></script>');
define('SOFORT_MULTIPAY_ZONE_TITLE', 'Platebn zna');
define('SOFORT_MULTIPAY_ZONE_DESC', 'Pokud je jedna zna vybrna, plat platebn metoda pouze pro tuto znu.');
define('SOFORT_MULTIPAY_REASON_1_TITLE', 'Informace pro prjemce 1:');
define('SOFORT_MULTIPAY_REASON_1_DESC', 'V informacch pro prjemce 1 je mon zvolit nsledujc monosti');
define('SOFORT_MULTIPAY_REASON_2_TITLE', 'Informace pro prjemce 2:');
define('SOFORT_MULTIPAY_REASON_2_DESC', 'V informacch pro prjemce (maximlne 27 znaku) je mon zvolit nsledujc zstupn symboly:<br />{{order_date}}<br />{{customer_id}}<br />{{customer_name}}<br />{{customer_company}}<br />{{customer_email}}');
define('SOFORT_MULTIPAY_TEXT_ERROR_HEADING', 'Behem procesu byla hlena nsledujc chyba:');
define('SOFORT_MULTIPAY_TEXT_ERROR_MESSAGE', 'Zvolen zpusob platby nen bohuel mon nebo byl na prn zkaznka preruen. Zvolte prosm jin zpusob platby.');
define('SOFORT_MULTIPAY_IMAGE_TITLE', 'Banner nebo text pri vberu zpusobu platby');
define('SOFORT_MULTIPAY_IMAGE_DESC', 'Banner nebo text pri vberu zpusobu platby');
define('SOFORT_MULTIPAY_PROF_SETTINGS_TITLE', '<span style="font-weight:bold; text-decoration:underline; font-size:1.4em;"><br />Nastaven profilu</span> ');
define('SOFORT_MULTIPAY_PROF_SETTINGS_DESC', 'Nsledujc nastaven nen obvykle nutno upravovat, mela by obsahovat ji sprvn hodnoty.');
define('SOFORT_MULTIPAY_LOG_ENABLED_TITLE', 'Aktivovat logging');
define('SOFORT_MULTIPAY_LOG_ENABLED_DESC', 'Aktivujte logging, aby se zaznamenaly chyby, varovn a rovne dotazy na SOFORT servery stejne jako odpovedi znich. Logging by mel bt zduvodu ochrany dat zapnut pouze kvyhledn chyb. Dal informace najdete v prrucce.');

define('SOFORT_MULTIPAY_TEMP_STATUS_ID_TITLE', 'Docasn stav objednvky');
define('SOFORT_MULTIPAY_TEMP_STATUS_ID_DESC', 'Stav objednvky pro neuzavren transakce. Objednvka byla vyhotovena, ale transakce jete nebyla potvrzena SOFORT AG.');
define('SOFORT_MULTIPAY_ABORTED_STATUS_ID_TITLE', 'Stav objednvky pri preruen platbe ');
define('SOFORT_MULTIPAY_ABORTED_STATUS_ID_DESC', 'Stav objednvky u objednvek, kter byly prerueny behem platebnho konu. ');

define('SOFORT_MULTIPAY_ORDER_CANCELED', 'Objednvka byla preruena. ');

define('SOFORT_MULTIPAY_TRANSACTION_ID', 'ID transakce');
define('SOFORT_MULTIPAY_UPDATE_NOTICE', 'Modul byl aktualizovn. Pro sprvnou funkci je nutno vechny (!) zbvajc zpusoby platby SOFORT deinstalovat a pot opet (podle potreby) instalovat. A do t doby nebudou tyto zpusoby platby kupujcmu nabdnuty. Poznamenejte si pred deinstalac nastaven modulu!');

define('SOFORT_MULTIPAY_VERSIONNUMBER', 'Cslo verze');
define('SOFORT_MULTIPAY_FORWARDING', 'V dotaz se proveruje, prosme o moment strpen, proces nepreruujte. Proces mue trvat a 30 sekund.');

define('SOFORT_KEYTEST_SUCCESS', 'API klc je spene overen!');
define('SOFORT_KEYTEST_SUCCESS_DESC', 'Test OK dne');
define('SOFORT_KEYTEST_ERROR', 'API klc nebylo mono spene overit!');
define('SOFORT_KEYTEST_ERROR_DESC', 'Pozor: API klc je chybn');
define('SOFORT_KEYTEST_DEFAULT', 'API klc jete nebyl testovn');

define('SOFORT_REFRESH_INFO', 'Pokud jste tuto objednvku prve potvrdili, upravili, stornovali nebo pripsali k ctu, muste prp. {{refresh}}, aby byly vechny zmeny viditeln.');
define('SOFORT_REFRESH_PAGE', 'Kliknete sem pro nov nacten strnky');
define('SOFORT_TRANSLATE_TIME', 'Cas');

//definition of error-codes that can resolve by calling the SOFORT-API
define('SOFORT_MULTIPAY_XML_FAULT_0', 'Objevila se neznm chyba.');
define('SOFORT_MULTIPAY_XML_FAULT_8002', 'Pri overen dolo kchybe.');
define('SOFORT_MULTIPAY_XML_FAULT_8010', 'daje jsou nepln nebo chybn. Prosm opravte je nebo kontaktujte provozovatele e-shopu.');
define('SOFORT_MULTIPAY_XML_FAULT_8011', 'Nen voblasti platnch hodnot.');
define('SOFORT_MULTIPAY_XML_FAULT_8012', 'Hodnota mus bt pozitivn.');
define('SOFORT_MULTIPAY_XML_FAULT_8013', 'Momentlne jsou podporeny pouze objednvky v eurech. Opravte to prosm a zkuste to pot znovu.');
define('SOFORT_MULTIPAY_XML_FAULT_8015', 'Celkov cstka je prli velk nebo prli mal. Prosm opravte to nebo kontaktujte provozovatele e-shopu.');
define('SOFORT_MULTIPAY_XML_FAULT_8017', 'Neznm znaky.');
define('SOFORT_MULTIPAY_XML_FAULT_8018', 'Prekrocili jste maximln pocet znaku (max. 27).');
define('SOFORT_MULTIPAY_XML_FAULT_8019', 'Tuto objednvku nelze na zklade chybn e-mailov adresy provst. Opravte to prosm a zkuste to pot znovu.');
define('SOFORT_MULTIPAY_XML_FAULT_8020', 'Tuto objednvku nelze na zklade chybnho telefonnho csla provst. Opravte to prosm a zkuste to pot znovu.');
define('SOFORT_MULTIPAY_XML_FAULT_8021', 'Oznacen zeme nen podporeno, obratte se prosm na Vaeho provozovatele e-shopu.');
define('SOFORT_MULTIPAY_XML_FAULT_8022', 'Uveden BIC je neplatn.');
define('SOFORT_MULTIPAY_XML_FAULT_8023', 'Tuto objednvku nelze na zklade chybnho BIC (Bank Identifier Code) provst. Opravte to prosm a zkuste to pot znovu.');
define('SOFORT_MULTIPAY_XML_FAULT_8024', 'Tuto objednvku nelze na zklade chybnho oznacen zeme provst. Dodac a fakturacn adresa se mus nachzet v Nemecku. Opravte to prosm a zkuste to pot znovu.');
define('SOFORT_MULTIPAY_XML_FAULT_8029', 'Jsou podporovny pouze nemeck cty. Prosm opravte to nebo zvolte jin zpusob platby.');
define('SOFORT_MULTIPAY_XML_FAULT_8033', 'Celkov cstka je prli vysok. Opravte to prosm a zkuste to pot znovu.');
define('SOFORT_MULTIPAY_XML_FAULT_8034', 'Celkov cstka je prli nzk. Opravte to prosm a zkuste to pot znovu.');
define('SOFORT_MULTIPAY_XML_FAULT_8041', 'Hodnota dane z pridan hodnoty chybn. Platn hodnoty: 0, 7 nebo 19.');
define('SOFORT_MULTIPAY_XML_FAULT_8046', 'Overen bankovnho ctu a kdu banky selhalo.');
define('SOFORT_MULTIPAY_XML_FAULT_8047', 'Maximln pocet znaku 255 byl prekrocen.');
define('SOFORT_MULTIPAY_XML_FAULT_8051', 'Poptvka obsahovala neplatn pozice nkupnho koku. Prosm opravte to nebo kontaktujte provozovatele e-shopu.');
define('SOFORT_MULTIPAY_XML_FAULT_8058', 'Prosm zadejte alespon majitele ctu a zkuste to pot znovu.');
define('SOFORT_MULTIPAY_XML_FAULT_8061', 'Transakce sdaji, kter jste predal/a, ji existuje.');
define('SOFORT_MULTIPAY_XML_FAULT_8068', 'Nkup na fakturu je momentlne kdispozici pouze soukromm zkaznkum.');
define('SOFORT_MULTIPAY_XML_FAULT_10001', 'Vyplnte prosm kompletne pole cslo ctu, kd banky a majitel ctu. ');
define('SOFORT_MULTIPAY_XML_FAULT_10002', 'Akceptujte prosm zsady ochrany osobnch daju.');
define('SOFORT_MULTIPAY_XML_FAULT_10003', 'Pomoc zvolenho zpusobu platby nen bohuel mon zaplatit produkty jako downloads nebo drkov poukzky.  ');
define('SOFORT_MULTIPAY_XML_FAULT_10004', 'Objevila se neznm chyba.');
define('SOFORT_MULTIPAY_XML_FAULT_10005', 'Objevila se neznm chyba.');
define('SOFORT_MULTIPAY_XML_FAULT_10006', 'Objevila se neznm chyba.');
define('SOFORT_MULTIPAY_XML_FAULT_10008', 'Pri synchronizaci se servery SOFORT dolo k chybe. Pro pravu faktury, resp. nkupnho koku vyuijte prosm monosti vmenu pro prodejce SOFORT.  ');

//check for empty fields failed (code 8010 = 'must not be empty')
define('SOFORT_MULTIPAY_XML_FAULT_8010.EMAIL_CUSTOMER', 'E-mailov adresa nesm bt przdn.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.PHONE_CUSTOMER', 'Telefonn cslo nesm bt przdn.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.FIRSTNAME', 'Jmno ve fakturacn adrese nesm bt przdn.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.FIRSTNAME', 'Jmno vdodac adrese nesm bt przdn.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.LASTNAME', 'Prjmen ve fakturacn adrese nesm bt przdn.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.LASTNAME', 'Prjmen vdodac adrese nesm bt przdn.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET', 'Ulice a cslo domu mus bt oddeleny mezerou.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET', 'Ulice a cslo domu mus bt oddeleny mezerou.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET_NUMBER', 'Ulice a cslo domu mus bt oddeleny mezerou.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET_NUMBER', 'Ulice a cslo domu mus bt oddeleny mezerou.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.ZIPCODE', 'PSC ve fakturacn adrese nesm bt przdn.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.ZIPCODE', 'PSC vdodac adrese nesm bt przdn.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.CITY', 'Nzev mesta ve fakturacn adrese nesm bt przdn.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.CITY', 'Nzev mesta vdodac adrese nesm bt przdn.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.COUNTRY_CODE', 'Oznacen zeme ve fakturacn adrese nesm bt przdn.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.COUNTRY_CODE', 'Oznacen zeme v dodac adrese nesm bt przdn.');
  
define('SOFORT_MULTIPAY_EMAIL_HTML_TEXT', '  <table style="font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%"><tr><td>
		<p>Dekujeme za Vai objednvku</p>
		<table style="border-top:1px solid; border-bottom:1px solid; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%" border="0">
		<tr bgcolor="#F1F1F1">
		<td width="50%">
		<strong>{{EMAIL_TEXT_DELIVERY_ADDRESS}}:</strong>
		</td>
		<td>
		<strong>{{EMAIL_TEXT_BILLING_ADDRESS}}:</strong>
		</td>
		</tr>
		<tr>
		<td>
		{{DELIVERY_ADRESS}}
		</td>
		<td>
		{{BILLING_ADRESS}}
		</td>
		</tr>
		</table>
		<p>
		{{EMAIL_TEXT_ORDER_NUMBER}} <strong>{{ORDER_ID}}</strong>
		</p>
		<p>
		{{EMAIL_TEXT_DATE_ORDERED}} <strong>{{DATE_ORDERED}}</strong>
		</p>
		<p>
		Komentr: <strong>{{CUSTOMER_COMMENT}}</strong>
		</p>
		<p>
		{{EMAIL_TEXT_INVOICE_URL}}
		<strong><a href="{{INVOICE_URL}}">{{INVOICE_URL}}</a></strong>
		</p>
		<table style="border-bottom:1px solid; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%" border="0" cellpadding="0" cellspacing="0">
		<tr bgcolor="#F1F1F1">
		<td class="c3" align="left">
		<div style="text-align: left">
		<strong>{{EMAIL_TEXT_PRODUCTS}}:</strong>
		</div>
		</td>
		</tr>
		<tr>
		<td>
		{{Item_List}}
		</td>
		</tr>
		</table>
		<div style="text-align: right">
		{{List_Total}}
		</div><br /><br />
		<p>{{EMAIL_TEXT_PAYMENT_METHOD}}: {{Payment_Modul_Text}}</p>
		{{Payment_Modul_Text_Footer}}
		</td></tr></table>');

		
define('SOFORT_MULTIPAY_EMAIL_TEXT', '{{STORE_NAME}}
{{EMAIL_SEPARATOR}}
{{EMAIL_TEXT_ORDER_NUMBER}} {{ORDER_ID}}
{{EMAIL_TEXT_INVOICE_URL}} {{INVOICE_URL}}
{{EMAIL_TEXT_DATE_ORDERED}} {{DATE_ORDERED}}

{{EMAIL_TEXT_PRODUCTS}}:
{{EMAIL_SEPARATOR}}
{{Item_List}}
{{EMAIL_SEPARATOR}}
{{List_Total}}

{{EMAIL_TEXT_BILLING_ADDRESS}}:
{{EMAIL_SEPARATOR}}
{{BILLING_ADRESS}}

{{EMAIL_TEXT_DELIVERY_ADDRESS}}:
{{EMAIL_SEPARATOR}}
{{DELIVERY_ADRESS}}

Comment:
{{EMAIL_SEPARATOR}}
{{CUSTOMER_COMMENT}}

{{EMAIL_TEXT_PAYMENT_METHOD}}
{{EMAIL_SEPARATOR}}
{{Payment_Modul_Text}}

{{Payment_Modul_Text_Footer}}');

define('SOFORT_MULTIPAY_TEXT_EMAIL_FOOTER', '');
define('SOFORT_MULTIPAY_TEXT_EMAIL_SUBJECT', '{{EMAIL_TEXT_SUBJECT}}: {{ORDER_ID}}');