<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-05-23 15:34:28 +0200 (Thu, 23 May 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_su.php 6160 2013-05-23 13:34:28Z rotsch $
 */

//include language-constants used in all Multipay Projects
require_once 'sofort_general.php';

define('SOFORT_SU_TEXT_DESCRIPTION_EXTRA',
	SOFORT_MULTIPAY_JS_LIBS.'
	<div id="suExtraDesc">
		<div class="content" style="display:none;"></div>
	</div>
	<script type="text/javascript">
		suOverlay = new sofortOverlay(jQuery("#suExtraDesc"), "'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/scripts/getContent.php", "https://documents.sofort.com/sb/shopinfo/en");
	</script>
');

define('SOFORT_SU_CHECKOUT_CONFIRMATION', '<table border="0" cellspacing="0" cellpadding="0"><tr><td class="main"><p>After confirmation of the order you will be redirected to the payment system of SOFORT Banking where you will be able to perform an online transfer</p><p>You will need your eBanking access data, ie Bank details, account number, PIN and TAN.</p></td></tr></table>');

define('SOFORT_SOFORTUEBERWEISUNG_TEXT_TITLE', 'SOFORT Banking <br /> <img src="https://images.sofort.com/en/su/logo_90x30.png" alt="SOFORT Banking"/>');
define('SOFORT_SU_TEXT_TITLE', 'SOFORT Banking');
define('SOFORT_SU_KS_TEXT_TITLE', 'SOFORT Banking with customer protection');
define('SOFORT_SU_LOGO_HTML', '<img src="https://images.sofort.com/en/su/logo_90x30.png" alt="SOFORT Banking"/>');
define('SOFORT_SU_TEXT_DESCRIPTION', 'SOFORT Banking is the free of charge, TV certified payment method by SOFORT AG.');

define('SOFORT_SU_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGE', '     <table border="0" cellspacing="0" cellpadding="0">      <tr>        <td valign="bottom">
	<a onclick="javascript:window.open(\'https://images.sofort.com/en/su/landing.php\',\'customer information\',\'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=1020, height=900\');" style="float:left; width:auto; cursor:pointer;">
		{{image}}
	</a>
	</td>      </tr>      <tr> <td class="main">{{text}}</td>      </tr>      </table>');

define('SOFORT_SU_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGEALT', 'SOFORT Banking');

define('SOFORT_MULTIPAY_SU_CHECKOUT_TEXT', '<ul><li>Payment system with TV-certified data protection </li><li>No registration required</li><li>Immediate shipping of stock goods</li><li>Please have your online banking details ready</li></ul>');
define('SOFORT_MULTIPAY_SU_CHECKOUT_TEXT_KS', '<ul><li>When paying by SOFORT Banking, you enjoy buyer protection! [[link_beginn]]More info[[link_end]]</li><li>Payment system with TV-certified data protection</li><li>No registration needed</li><li>Goods/service will be shipped immediately, if available</li><li>Please have your online banking details ready</li></ul>');
define('SOFORT_SU_CHECKOUT_INFOLINK_KS', 'https://www.sofort-bank.com/eng-DE/general/kaeuferschutz/informationen-fuer-kaeufer/');
define('SOFORT_SOFORTUEBERWEISUNG_ALLOWED_TITLE', 'Allowed zones');
define('SOFORT_SOFORTUEBERWEISUNG_ALLOWED_DESC', 'Please enter the zones <b>separately</b>, which should be allowed for this module. (eg allow AT, DE (if empty, all zones))');
define('SOFORT_SU_STATUS_TITLE', 'Activate sofort.de module');
define('SOFORT_SU_STATUS_DESC', 'Activates/deactivates the complete module');
define('SOFORT_SU_ZONE_TITLE', SOFORT_MULTIPAY_ZONE_TITLE);
define('SOFORT_SU_ZONE_DESC', SOFORT_MULTIPAY_ZONE_DESC);

define('SOFORT_SU_SORT_ORDER_TITLE', 'sort sequence');
define('SOFORT_SU_SORT_ORDER_DESC', 'Order of display. Smallest number will show first.');
define('SOFORT_SU_KS_STATUS_TITLE', 'Customer protection activated');
define('SOFORT_SU_KS_STATUS_DESC', 'Activate customer protection for SOFORT Banking');

define('SOFORT_SU_PEN_NOT_CRE_YET_STATUS_ID_TITLE', 'Confirmed order status');
define('SOFORT_SU_PEN_NOT_CRE_YET_STATUS_ID_DESC', 'Confirmed order status<br />Order status after successfully completing a transaction.'); // (pending-not_credited_yet)

define('SOFORT_SU_LOS_NOT_CRE_STATUS_ID_TITLE', 'Order status, when money is not received');
define('SOFORT_SU_LOS_NOT_CRE_STATUS_ID_DESC', 'Status of the order if no money is credited on your account. (Prerequisite: account with SOFORT Bank).'); // (loss-not_credited)

define('SOFORT_SU_REC_CRE_STATUS_ID_TITLE', 'Receipt of money');
define('SOFORT_SU_REC_CRE_STATUS_ID_DESC', 'Status of orders when the money has been received on the account of SOFORT Bank.'); // (received-credited)

define('SOFORT_SU_REF_COM_STATUS_ID_TITLE', 'Partial refund');
define('SOFORT_SU_REF_COM_STATUS_ID_DESC', 'Status of orders where a partial amount was refunded to the buyer.');  // (refunded-compensation)

define('SOFORT_SU_REF_REF_STATUS_ID_TITLE', 'Full refund');
define('SOFORT_SU_REF_REF_STATUS_ID_DESC', 'Status of orders where the full amount was refunded to the buyer.'); // (refunded-refunded)

define('SOFORT_SU_RECOMMENDED_PAYMENT_TITLE', 'recommended payment method');
define('SOFORT_SU_RECOMMENDED_PAYMENT_DESC', '"Mark this payment method as "recommended payment method". On the payment selection page a note will be displayed right behind the payment method."');
define('SOFORT_SU_RECOMMENDED_PAYMENT_TEXT', '(recommended payment method)');

define('SOFORT_SU_TMP_COMMENT', 'SOFORT Banking chosen. Transaction not finished.');
define('SOFORT_SU_TMP_COMMENT_SELLER', 'Redirection to SOFORT - payment has not yet occurred.');

define('SOFORT_SU_TEXT_ERROR_MESSAGE', 'Payment is unfortunately not possible or has been cancelled by the customer. Please select another payment method.');
define('SOFORT_MULTIPAY_XML_FAULT_SU', 'Payment is unfortunately not possible or has been cancelled by the customer. Please select another payment method.');

define('SOFORT_SU_PEN_NOT_CRE_YET_SELLER', '');
define('SOFORT_SU_PEN_NOT_CRE_YET_BUYER', 'Order via SOFORT Banking successfully transmitted. Your transaction ID: {{transaction}}');
define('SOFORT_SU_LOS_NOT_CRE_SELLER', '');
define('SOFORT_SU_LOS_NOT_CRE_BUYER', 'Up till now the payment has not been confirmed {{time}}');
define('SOFORT_SU_REC_CRE_BUYER', '');
define('SOFORT_SU_REC_CRE_SELLER', 'Receipt of money on account');
define('SOFORT_SU_REF_REF_SELLER', '');
define('SOFORT_SU_REF_REF_BUYER', 'Invoice amount will be refunded {{time}}');
define('SOFORT_SU_REF_COM_SELLER', 'The invoice amount will be partially refunded. Total amount being refunded: {{refunded_amount}}. {{time}}');
define('SOFORT_SU_REF_COM_BUYER', 'A potion of the amount will be refunded.');

?>