<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-06-12 16:55:41 +0200 (Wed, 12 Jun 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_sr.php 6216 2013-06-12 14:55:41Z boehm $
 */

//include language-constants used in all Multipay Projects
require_once 'sofort_general.php';


define('SOFORT_SR_CHECKOUT_CONDITIONS', '
	<script type="text/javascript">
		jQuery(document).ready(function() {
			srOverlay = new sofortOverlay(jQuery(".srOverlay"), "'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/scripts/getContent.php", "https://documents.sofort.com/de/sr/privacy_de");
		});
		document.write("<a id=\'srNotice\' href=\'javascript:void(0)\' onclick=\'srOverlay.trigger();\'>J\'ai lu la politique de confidentialit.</a>");
	</script>
	
	<div style="display:none; z-index: 1001;filter: alpha(opacity=92);filter: progid :DXImageTransform.Microsoft.Alpha(opacity=92);-moz-opacity: .92;-khtml-opacity: 0.92;opacity: 0.92;background-color: black;position: fixed;top: 0px;left: 0px;width: 100%;height: 100%;text-align: center;vertical-align: middle;" class="srOverlay">
		<div class="loader" style="z-index: 1002;position: relative;background-color: #fff;top: 40px;overflow: scroll;padding: 4px;border-radius: 7px;-moz-border-radius: 7px;-webkit-border-radius: 7px;margin: auto;width: 620px;height: 400px;overflow: scroll; overflow-x: hidden;">
			<div class="closeButton" style="position: fixed; top: 54px; background: url(ext/modules/payment/sofort/ressources/images/close.png) right top no-repeat;cursor:pointer;height: 30px;width: 30px;"></div>
			<div class="content"></div>
		</div>
	</div>
	
	<noscript>
		<a href="https://documents.sofort.com/de/sr/privacy_de" target="_blank">
			J\'ai lu la politique de confidentialit.
		</a>
	</noscript>
');

define('SOFORT_SR_CHECKOUT_CONFIRMATION', '<table border="0" cellspacing="0" cellpadding="0"><tr><td class="main"><p>14 jours de terme d\'chance</p></td></tr></table>');

define('SOFORT_SR_TEXT_DESCRIPTION_EXTRA',
	SOFORT_MULTIPAY_JS_LIBS.'
	<div id="srExtraDesc">
		<div class="content" style="display:none;"></div>
	</div>
	<script type="text/javascript">
		srOverlay = new sofortOverlay(jQuery("#srExtraDesc"), "'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/scripts/getContent.php", "https://documents.sofort.com/rbs/shopinfo/fr");
	</script>
');

define('SOFORT_SR_TEXT_TITLE', 'Rechnung by SOFORT <br /><img src="https://images.sofort.com/de/sr/logo_90x30.png"  alt="Logo Rechnung by SOFORT"/>');
define('SOFORT_SR_TEXT_PUBLIC_TITLE', 'Kauf auf Rechnung');

define('SOFORT_SR_LOGO_HTML', '<img src="https://images.sofort.com/de/sr/logo_90x30.png"  alt="Logo Rechnung by SOFORT"/>');
define('SOFORT_SR_TEXT_ERROR_MESSAGE', 'Le mode de paiement slectionn n\'est malheureusement pas possible ou a t annul  la demande du client. Vous tes pri de slectionner un autre mode de paiement.');
define('SOFORT_MULTIPAY_XML_FAULT_SR', 'Le mode de paiement slectionn n\'est malheureusement pas possible ou a t annul  la demande du client. Vous tes pri de slectionner un autre mode de paiement.');

define('SOFORT_MULTIPAY_SR_CHECKOUT_TEXT', '');
define('SOFORT_MULTIPAY_CONFIRM_SR', 'Confirmer facture ici:');
define('SOFORT_SR_SORT_ORDER_TITLE', 'Ordre d\'affichage');
define('SOFORT_SR_SORT_ORDER_DESC', 'Ordre de l\'affichage. Le chiffre plus petit est affich en premier.');
define('SOFORT_SR_STATUS_TITLE', 'Activer module sofort.de');
define('SOFORT_SR_STATUS_DESC', 'Active/dsactive le module entier');
define('SOFORT_SR_TEXT_DESCRIPTION', 'Kauf auf Rechnung avec garantie de paiement.');
define('SOFORT_SOFORTRECHNUNG_ALLOWED_TITLE', 'Zones autorises');
define('SOFORT_SOFORTRECHNUNG_ALLOWED_DESC', 'Veuillez indiquer <b>sparment</b> les zones, lesquelles seront autorises pour ce module. (par exemple AT,DE (si vide toutes les zones seront autorises))');
define('SOFORT_SR_ZONE_TITLE', SOFORT_MULTIPAY_ZONE_TITLE);
define('SOFORT_SR_ZONE_DESC', SOFORT_MULTIPAY_ZONE_DESC);

define('SOFORT_SR_PEN_CON_INV_STATUS_ID_TITLE', 'tat de commande ne pas confirm');
define('SOFORT_SR_PEN_CON_INV_STATUS_ID_DESC', 'tat de commande aprs paiement russi. La facture n\'a pas encore t valide par le commerant.'); // (pending-confirm_invoice)

define('SOFORT_SR_LOS_CAN_STATUS_ID_TITLE', 'tat de commande en cas d\'une annulation complte');
define('SOFORT_SR_LOS_CAN_STATUS_ID_DESC', 'tat de commande annul<br />tat de commande aprs une annulation complte de la facture.');  //(loss-canceled, loss-confirmation_period_expired)

define('SOFORT_SR_PEN_NOT_CRE_YET_STATUS_ID_TITLE', 'Confirmer tat de commande');
define('SOFORT_SR_PEN_NOT_CRE_YET_STATUS_ID_DESC', 'tat de commande aprs transaction russite et validation de la facture par le commerant.'); //(pending-not_credited_yet)

define('SOFORT_SR_REF_REF_STATUS_ID_TITLE', 'Annulation aprs confirmation (crdit)');
define('SOFORT_SR_REF_REF_STATUS_ID_DESC', 'tat pour commandes qui ont t annule entirement aprs la confirmation (crdit).'); // (refunded_refunded)

define('SOFORT_SR_TMP_COMMENT', 'Kauf auf Rechnung slectionn comme mode de paiement. Transaction pas conclue.');
define('SOFORT_SR_TMP_COMMENT_SELLER', 'Redirection  SOFORT - Paiement ne pas encore effectu.');

define('SOFORT_SR_RECOMMENDED_PAYMENT_TITLE', 'Mode de paiement conseill');
define('SOFORT_SR_RECOMMENDED_PAYMENT_DESC', 'Noter ce mode de paiement comme mode de paiement recommand. Sur la page du paiement une indication suit directement derrire le mode de paiement.');
define('SOFORT_SR_RECOMMENDED_PAYMENT_TEXT', '(Mode de paiement conseill)');

define('SOFORT_SR_INVOICE_CONFIRMED_HISTORY', 'Ordre afin de confirmer la facture a t envoy  SOFORT. Confirmation de la part de SOFORT en cours.');
define('SOFORT_SR_INVOICE_CANCELED_HISTORY', 'Ordre pour l\'annulation de la facture a t envoy  SOFORT. Confirmation de la part de SOFORT en cours.');
define('SOFORT_SR_INVOICE_REFUNDED_HISTORY', 'Ordre pour le crdit de la facture a t envoy  SOFORT. Confirmation de la part de SOFORT en cours.');

/////////////////////////////////////////////////
//////// Seller-Backend and callback.php ////////
/////////////////////////////////////////////////

define('SOFORT_SR_CONFIRM_INVOICE', 'Confirmer facture');
define('SOFORT_SR_CANCEL_INVOICE', 'Annuler facture');
define('SOFORT_SR_CANCEL_CONFIRMED_INVOICE', 'Crditer facture');
define('SOFORT_SR_CANCEL_INVOICE_QUESTION', 'tes-vous sr de vouloir effectivement annuler la facture? Cette procdure ne peut pas tre rvoque.');
define('SOFORT_SR_CANCEL_CONFIRMED_INVOICE_QUESTION', 'tes-vous sr de vouloir crditer la facture? Cette action ne peut pas tre annule.');
define('SOFORT_SR_TRANSLATE_INVOICE_CANCELED_REFUNDED', 'La facture a t annul. Crdit cr.');
define('SOFORT_SR_TRANSLATE_INVOICE_CANCELED', 'La facture a t annule.');

define('SOFORT_SR_DOWNLOAD_INVOICE', 'Tlcharger facture');
define('SOFORT_SR_DOWNLOAD_INVOICE_HINT', 'Veuillez tlcharger ici le document correspondant (aperu facture, facture, note de crdit).');
define('SOFORT_SR_DOWNLOAD_CREDIT_MEMO', 'Tlcharger crdit');
define('SOFORT_SR_DOWNLOAD_INVOICE_PREVIEW', 'Tlcharger aperu de la facture');

define('SOFORT_SR_EDIT_CART', 'Ajuster panier');
define('SOFORT_SR_UPDATE_CART', 'Sauvegarder panier');
define('SOFORT_SR_UPDATE_CART_QUESTION', 'tes-vous sr de vouloir rajuster le panier?');
define('SOFORT_SR_UPDATE_CART_HINT', 'Veuillez sauvegarder ici vos modifications du panier. Si la facture a dj t confirme, l\'article rduit en quantit ainsi que supprim de la facture, sera rembours en forme d\'un crdit.');
define('SOFORT_SR_UPDATE_DISCOUNTS_HINT', 'Vous pouvez ajuster les rabais ou les augmentations. Augmentations ne peuvent pas tre augmentes et rabais ne peuvent pas avoir des montants suprieurs  zro. Le total de la facture ne peut pas tre augment par l\'ajustement.');
define('SOFORT_SR_UPDATE_DISCOUNTS_GTZERO_HINT', 'Rabais ne peuvent pas contenir des montants suprieurs  zro.');
define('SOFORT_SR_UPDATE_QUANTITY', 'Ajuster la quantit');
define('SOFORT_SR_UPDATE_QUANTITY_HINT', 'Vous pouvez ajuster le nombre d\'articles par position. La quantit peut tre seulement rduite et ne pas ajoute.');
define('SOFORT_SR_UPDATE_QUANTITY_TOTAL_GTZERO', 'Le nombre de l\'article ne peut pas tre rduit, puisque le montant total de la facture ne peut pas tre ngatif.');
define('SOFORT_SR_UPDATE_QUANTITY_ZERO_HINT', 'Le nombre doit tre suprieur  0. Pour supprimer, veuillez slectionner l\'article  la fin de la ligne.');
define('SOFORT_SR_UPDATE_PRICE', 'Ajuster prix');
define('SOFORT_SR_UPDATE_PRICE_HINT', 'Vous pouvez ajuster le prix de chaque article par position. Les prix peuvent seulement tre rduits et ne pas augments.');
define('SOFORT_SR_UPDATE_PRICE_TOTAL_GTZERO', 'Le prix de peut pas tre rduit, puisque le montant total de la facture ne peut pas tre ngatif.');
define('SOFORT_SR_UPDATE_PRICE_AND_QUANTITY_HINT', 'Le prix et la quantit ne peuvent pas tre ajuster au mme temps.');
define('SOFORT_SR_UPDATE_PRICE_AND_QUANTITY_NAN', 'Vous avez entr des caractres incorrects. Avec ces ajustements uniquement des chiffres sont autoriss.');
define('SOFORT_SR_UPDATE_VALUE_LTZERO_HINT', 'La valeur ne peut pas tre infrieure  0.');

define('SOFORT_SR_UPDATE_CONFIRMED_INVOICE', 'Veuillez entrer un commentaire');
define('SOFORT_SR_UPDATE_CONFIRMED_INVOICE_HINT', 'Si une facture dj confirme est modifie, une justification respective doit tre dpose. Celle-l apparatra plus tard sur la note de crdit comme commentaire de l\'article correspondant.');
define('SOFORT_SR_UPDATE_SHIPPING_HINT', 'Vous pouvez adapter le prix des frais d\'expdition. Le prix peut tre seulement rduit, et ne pas augment.');
define('SOFORT_SR_UPDATE_SHIPPING_TOTAL_GTZERO', 'Les cots d\'envoi ne peuvent pas tre rduit, puisque le montant total de la facture ne peut pas tre ngatif.');

define('SOFORT_SR_RECALCULATION', 'sera calcul de nouveau');

define('SOFORT_SR_REMOVE_FROM_INVOICE_TOTAL_GTZERO','Cet article ne peut pas tre supprim, puisque le montant total de la facture ne peut pas tre ngatif.');
define('SOFORT_SR_REMOVE_ARTICLE_FROM_INVOICE', 'Supprimer article');
define('SOFORT_SR_REMOVE_FROM_INVOICE', 'Supprimer position');
define('SOFORT_SR_REMOVE_FROM_INVOICE_QUESTION', 'tes-vous sr de vouloir supprimer l\'article suivant: %s?');
define('SOFORT_SR_REMOVE_FROM_INVOICE_HINT', 'Veuillez slectionner les articles  supprimer. Si une facture a dj t confirme, chaque article supprim sera rembours en forme de crdit.');
define('SOFORT_SR_REMOVE_LAST_ARTICLE_HINT', 'En rduisant la totalit des articles ou en supprimant le dernier, la facture sera annule entirement.');

define('SOFORT_SR_PEN_CON_INV_BUYER', 'Commande soumise avec succs. Confirmation n\'a pas encore eu lieu..');
define('SOFORT_SR_PEN_CON_INV_SELLER', 'Commande conclue avec succs - la facture ne peut pas tre confirm - votre identification de transaction:');
define('SOFORT_SR_LOS_CAN_BUYER', 'Commande annule.');
define('SOFORT_SR_LOS_CAN_SELLER', '');
define('SOFORT_SR_PEN_NOT_CRE_YET_BUYER', 'Commande confirme et en traitement.');
define('SOFORT_SR_PEN_NOT_CRE_YET_SELLER', 'La facture a t confirme et cre.');
define('SOFORT_SR_REF_REF_BUYER', 'La facture a t crdite.');
define('SOFORT_SR_REF_REF_SELLER', 'La facture a t crdite. Le crdit a t cr.');
define('SOFORT_SR_TRANSLATE_INVOICE_REANIMATED', 'L\'annulation de la facture a t annul.');
define('SOFORT_SR_LOS_CON_PER_EXP_BUYER', 'Commande annule.');
define('SOFORT_SR_LOS_CON_PER_EXP_SELLER', 'La commande a t annule. Priode de confirmation expir.');

define('SOFORT_SR_TRANSLATE_CURRENT_TOTAL', 'Montant de facturation courant:');

define('SOFORT_SR_INVOICE_CONFIRMED', 'Facture a t confirm.');
define('SOFORT_SR_TRANSLATE_TRANSACTION_ID', 'ID de transaction');
define('SOFORT_SR_TRANSLATE_CANCELED_REFUNDED', 'La facture a t annul. Crdit cr. {{time}}');
define('SOFORT_SR_TRANSLATE_CART_EDITED', 'Le panier a t ajust.');
define('SOFORT_SR_TRANSLATE_CART_RESET', 'Le panier a t remis  l\'tat initial.');

define('SOFORT_MULTIPAY_XML_FAULT_9000', 'Aucune transaction de facture trouve.');
define('SOFORT_MULTIPAY_XML_FAULT_9001', 'La facture n\'a pas pu tre confirme.');
define('SOFORT_MULTIPAY_XML_FAULT_9002', 'La somme de la facture transmise dpasse la limite du crdit.');
define('SOFORT_MULTIPAY_XML_FAULT_9003', 'La facture n\'a pas pu tre annule.');
define('SOFORT_MULTIPAY_XML_FAULT_9004', 'La demande contenait des positions de panier invalides.');
define('SOFORT_MULTIPAY_XML_FAULT_9005', 'La panier n\'a pas pu tre ajust.');
define('SOFORT_MULTIPAY_XML_FAULT_9006', 'L\'accs  l\'interface n\'est plus possible 30 jours aprs la rception du paiement.');
define('SOFORT_MULTIPAY_XML_FAULT_9007', 'La facture a dj t annule.');
define('SOFORT_MULTIPAY_XML_FAULT_9008', 'Le montant de la T.V.A. transmise est trop est trop lev.');
define('SOFORT_MULTIPAY_XML_FAULT_9009', 'Les montants de la T.V.A. transmise des articles sont en conflit les uns aux autres.');
define('SOFORT_MULTIPAY_XML_FAULT_9010', 'L\'ajustement du panier n\'est pas possible.');
define('SOFORT_MULTIPAY_XML_FAULT_9011', 'Aucun commentaire n\'a t transmis pour l\'ajustement du panier.');
define('SOFORT_MULTIPAY_XML_FAULT_9012', 'Aucune position ne peut tre ajoute au panier. De mme, le volume par position de la facture ne peut pas tre augment. Montants de positions singuliers ne peuvent pas dpasser le montant d\'origine.');
define('SOFORT_MULTIPAY_XML_FAULT_9013', 'Dans votre panier se trouvent seulement des articles qui ne peuvent pas tre facturs.');
define('SOFORT_MULTIPAY_XML_FAULT_9014', 'Le numro de facture transmis est dj e cours d\'utilisation.');
define('SOFORT_MULTIPAY_XML_FAULT_9015', 'Le numro transmis du crdit est dj en cours d\'utilisation.');
define('SOFORT_MULTIPAY_XML_FAULT_9016', 'Le numro de commande transmis est dj en cours d\'utilisation.');
define('SOFORT_MULTIPAY_XML_FAULT_9017', 'La facture a dj t confirme.');
define('SOFORT_MULTIPAY_XML_FAULT_9018', 'Aucune donn de la facture n\'a t ajuste.');