<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-06-12 16:55:41 +0200 (Wed, 12 Jun 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_sr.php 6216 2013-06-12 14:55:41Z boehm $
 */

//include language-constants used in all Multipay Projects
require_once 'sofort_general.php';


define('SOFORT_SR_CHECKOUT_CONDITIONS', '
	<script type="text/javascript">
		jQuery(document).ready(function() {
			srOverlay = new sofortOverlay(jQuery(".srOverlay"), "'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/scripts/getContent.php", "https://documents.sofort.com/de/sr/privacy_de");
		});
		document.write("<a id=\'srNotice\' href=\'javascript:void(0)\' onclick=\'srOverlay.trigger();\'>Ho letto l\'Informativa sulla protezione dei dati personali.</a>");
	</script>
	
	<div style="display:none; z-index: 1001;filter: alpha(opacity=92);filter: progid :DXImageTransform.Microsoft.Alpha(opacity=92);-moz-opacity: .92;-khtml-opacity: 0.92;opacity: 0.92;background-color: black;position: fixed;top: 0px;left: 0px;width: 100%;height: 100%;text-align: center;vertical-align: middle;" class="srOverlay">
		<div class="loader" style="z-index: 1002;position: relative;background-color: #fff;top: 40px;overflow: scroll;padding: 4px;border-radius: 7px;-moz-border-radius: 7px;-webkit-border-radius: 7px;margin: auto;width: 620px;height: 400px;overflow: scroll; overflow-x: hidden;">
			<div class="closeButton" style="position: fixed; top: 54px; background: url(ext/modules/payment/sofort/ressources/images/close.png) right top no-repeat;cursor:pointer;height: 30px;width: 30px;"></div>
			<div class="content"></div>
		</div>
	</div>
	
	<noscript>
		<a href="https://documents.sofort.com/de/sr/privacy_de" target="_blank">
			Ho letto l\'Informativa sulla protezione dei dati personali.
		</a>
	</noscript>
');

define('SOFORT_SR_CHECKOUT_CONFIRMATION', '<table border="0" cellspacing="0" cellpadding="0"><tr><td class="main"><p>Termine di pagamento di 14 giorni</p></td></tr></table>');

define('SOFORT_SR_TEXT_DESCRIPTION_EXTRA',
	SOFORT_MULTIPAY_JS_LIBS.'
	<div id="srExtraDesc">
		<div class="content" style="display:none;"></div>
	</div>
	<script type="text/javascript">
		srOverlay = new sofortOverlay(jQuery("#srExtraDesc"), "'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/scripts/getContent.php", "https://documents.sofort.com/rbs/shopinfo/it");
	</script>
');

define('SOFORT_SR_TEXT_TITLE', 'Rechnung by SOFORT <br /><img src="https://images.sofort.com/it/sr/logo_90x30.png"  alt="Logo Rechnung by SOFORT"/>');
define('SOFORT_SR_TEXT_PUBLIC_TITLE', 'Acquisto su fattura');

define('SOFORT_SR_LOGO_HTML', '<img src="https://images.sofort.com/it/sr/logo_90x30.png"  alt="Logo Rechnung by SOFORT"/>');
define('SOFORT_SR_TEXT_ERROR_MESSAGE', 'La modalit di pagamento selezionata non  disponibile o  stata annullata dall\'acquirente. Ti preghiamo di selezionare un\'altra modalit di pagamento.');
define('SOFORT_MULTIPAY_XML_FAULT_SR', 'La modalit di pagamento selezionata non  disponibile o  stata annullata dall\'acquirente. Ti preghiamo di selezionare un\'altra modalit di pagamento.');

define('SOFORT_MULTIPAY_SR_CHECKOUT_TEXT', '');
define('SOFORT_MULTIPAY_CONFIRM_SR', 'Confermare la fattura qui:');
define('SOFORT_SR_SORT_ORDER_TITLE', 'Ordine di visualizzazione');
define('SOFORT_SR_SORT_ORDER_DESC', 'Ordine di visualizzazione. Il numero pi piccolo sar visualizzato per prima.');
define('SOFORT_SR_STATUS_TITLE', 'Attivare modulo di sofort.de');
define('SOFORT_SR_STATUS_DESC', 'Attivare/disattivare l\'intero modulo');
define('SOFORT_SR_TEXT_DESCRIPTION', 'Acquisto su fattura con garanzia di pagamento.');
define('SOFORT_SOFORTRECHNUNG_ALLOWED_TITLE', 'Zone consentite');
define('SOFORT_SOFORTRECHNUNG_ALLOWED_DESC', 'Indicare<b>singolarmente</b> le zone autorizzate per questo modulo. (ad es. AT, DE (se vuoto, vengono autorizzate tutte le zone))');
define('SOFORT_SR_ZONE_TITLE', SOFORT_MULTIPAY_ZONE_TITLE);
define('SOFORT_SR_ZONE_DESC', SOFORT_MULTIPAY_ZONE_DESC);

define('SOFORT_SR_PEN_CON_INV_STATUS_ID_TITLE', 'Stato dell\'ordine non confermato');
define('SOFORT_SR_PEN_CON_INV_STATUS_ID_DESC', 'Stato dell\'ordine dopo un pagamento avvenuto con successo. La fattura non  ancora stata ancora approvata dal venditore.'); // (pending-confirm_invoice)

define('SOFORT_SR_LOS_CAN_STATUS_ID_TITLE', 'Stato dell\'ordine in caso di annullamento totale');
define('SOFORT_SR_LOS_CAN_STATUS_ID_DESC', 'Stato dell\'ordine annullato<br />Stato dell\'ordine dopo un annullamento della fattura.');  //(loss-canceled, loss-confirmation_period_expired)

define('SOFORT_SR_PEN_NOT_CRE_YET_STATUS_ID_TITLE', 'Stato dell\'ordine confermato');
define('SOFORT_SR_PEN_NOT_CRE_YET_STATUS_ID_DESC', 'Stato dell\'ordine dopo il completamento della transazione con successo e approvazione della fattura da parte del venditore.'); //(pending-not_credited_yet)

define('SOFORT_SR_REF_REF_STATUS_ID_TITLE', 'Cancellazione dopo conferma (accredito)');
define('SOFORT_SR_REF_REF_STATUS_ID_DESC', 'Stato per ordini, che sono stati annullati completamente dopo la conferma (accredito).'); // (refunded_refunded)

define('SOFORT_SR_TMP_COMMENT', 'Acquisto su fattura selezionato come metodo di pagamento. Transazione non conclusa.');
define('SOFORT_SR_TMP_COMMENT_SELLER', 'Inoltro a SOFORT - pagamento non ancora effettuato.');

define('SOFORT_SR_RECOMMENDED_PAYMENT_TITLE', '"Modalit di pagamento consigliata"');
define('SOFORT_SR_RECOMMENDED_PAYMENT_DESC', '"Segnare questa modalit di pagamento come "modalit di pagamento consigliata". Sulla pagina di pagamento un avviso potr essere visualizzato direttamente dietro la modalit di pagamento".');
define('SOFORT_SR_RECOMMENDED_PAYMENT_TEXT', '("Modalit di pagamento consigliata")');

define('SOFORT_SR_INVOICE_CONFIRMED_HISTORY', 'L\'ordine per confermare la fattura  stato inviato a SOFORT. Conferma di SOFORT in sospeso.');
define('SOFORT_SR_INVOICE_CANCELED_HISTORY', 'L\'ordine per annullare la fattura  stato inviato a SOFORT. Conferma di SOFORT in sospeso.');
define('SOFORT_SR_INVOICE_REFUNDED_HISTORY', 'L\'ordine per accreditare la fattura  stato inviato a SOFORT. Conferma di SOFORT in sospeso.');

/////////////////////////////////////////////////
//////// Seller-Backend and callback.php ////////
/////////////////////////////////////////////////

define('SOFORT_SR_CONFIRM_INVOICE', 'Confermare fattura');
define('SOFORT_SR_CANCEL_INVOICE', 'Stornare la fattura');
define('SOFORT_SR_CANCEL_CONFIRMED_INVOICE', 'Accredita l\'importo');
define('SOFORT_SR_CANCEL_INVOICE_QUESTION', 'Sei sicuro di voler annullare la fattura? Questa operazione non potr pi essere annullata.');
define('SOFORT_SR_CANCEL_CONFIRMED_INVOICE_QUESTION', 'Sei sicuro di voler accreditare l\'importo? Questa procedura non pu essere annullata.');
define('SOFORT_SR_TRANSLATE_INVOICE_CANCELED_REFUNDED', 'La fattura  stata annullata. Importo accreditato.');
define('SOFORT_SR_TRANSLATE_INVOICE_CANCELED', 'La fattura  stata annullata.');

define('SOFORT_SR_DOWNLOAD_INVOICE', 'Scaricare la fattura');
define('SOFORT_SR_DOWNLOAD_INVOICE_HINT', ' possibile scaricare il documento corrispondente (anteprima fattura, fattura, nota di credito).');
define('SOFORT_SR_DOWNLOAD_CREDIT_MEMO', 'Scaricare la nota di credito');
define('SOFORT_SR_DOWNLOAD_INVOICE_PREVIEW', 'Scaricare l\'anteprima della fattura');

define('SOFORT_SR_EDIT_CART', 'Aggiornare il carrello');
define('SOFORT_SR_UPDATE_CART', 'Salvare il carrello');
define('SOFORT_SR_UPDATE_CART_QUESTION', 'Vuoi veramente modificare il carrello?');
define('SOFORT_SR_UPDATE_CART_HINT', 'Salvare qui le modifiche al carrello. In caso di fattura gi confermata, la riduzione della quantit di un articolo o la sua eliminazione avr come conseguenza la creazione di una nota di credito.');
define('SOFORT_SR_UPDATE_DISCOUNTS_HINT', 'Puoi modificare gli sconti o i sovrapprezzi. I sovrapprezzi non possono essere aumentati e gli sconti non possono contenere importi superiori a zero. L\'importo totale della fattura non pu essere aumentato per mezzo di una modifica.');
define('SOFORT_SR_UPDATE_DISCOUNTS_GTZERO_HINT', 'Gli sconti non possono contenere un importo superiore a 0.');
define('SOFORT_SR_UPDATE_QUANTITY', 'Modificare la quantit');
define('SOFORT_SR_UPDATE_QUANTITY_HINT', ' possibile modificare la quantit degli articoli per ogni posizione. La quantit si pu solo ridurre, non aumentare.');
define('SOFORT_SR_UPDATE_QUANTITY_TOTAL_GTZERO', 'Il numero degli articoli non pu essere ridotto, poich l\'importo complessivo della fattura non pu essere negativo.');
define('SOFORT_SR_UPDATE_QUANTITY_ZERO_HINT', 'La quantit deve essere maggiore di 0. Per cancellare l\'articolo, si prega di contrassegnarlo alla fine della riga.');
define('SOFORT_SR_UPDATE_PRICE', 'Modificare il prezzo');
define('SOFORT_SR_UPDATE_PRICE_HINT', ' possibile modificare il prezzo dei singoli articoli per posizione. I prezzi si possono solo ridurre, non aumentare.');
define('SOFORT_SR_UPDATE_PRICE_TOTAL_GTZERO', 'Il prezzo non pu essere ridotto, poich l\'importo complessivo della fattura non pu essere negativo.');
define('SOFORT_SR_UPDATE_PRICE_AND_QUANTITY_HINT', 'Non si possono modificare contemporaneamente sia prezzo che quantit.');
define('SOFORT_SR_UPDATE_PRICE_AND_QUANTITY_NAN', 'Hai inserito caratteri non validi. Sono ammessi solo numeri per queste modifiche.');
define('SOFORT_SR_UPDATE_VALUE_LTZERO_HINT', 'Il valore non pu essere minore di 0.');

define('SOFORT_SR_UPDATE_CONFIRMED_INVOICE', 'Inserire un commento');
define('SOFORT_SR_UPDATE_CONFIRMED_INVOICE_HINT', 'Se si modifica una fattura gi confermata va inserita una motivazione per il cambiamento effettuato. Questa apparir sulla nota di credito come commento al relativo articolo.');
define('SOFORT_SR_UPDATE_SHIPPING_HINT', 'Puoi adattare il prezzo ai costi di spedizione. Il prezzo pu solo essere ridotto, non pu essere aumentato.');
define('SOFORT_SR_UPDATE_SHIPPING_TOTAL_GTZERO', 'I costi di spedizione non possono essere ridotti, poich l\'importo complessivo della fattura non pu essere negativo.');

define('SOFORT_SR_RECALCULATION', 'verr ricalcolata');

define('SOFORT_SR_REMOVE_FROM_INVOICE_TOTAL_GTZERO','Questo articolo non pu essere cancellato, poich l\'importo complessivo della fattura non pu essere negativo.');
define('SOFORT_SR_REMOVE_ARTICLE_FROM_INVOICE', 'Rimuovi articolo');
define('SOFORT_SR_REMOVE_FROM_INVOICE', 'Eliminare la posizione');
define('SOFORT_SR_REMOVE_FROM_INVOICE_QUESTION', 'Sei sicuro di voler eliminare i seguenti articoli: %s ?');
define('SOFORT_SR_REMOVE_FROM_INVOICE_HINT', 'Selezionare gli articoli che si desiderano eliminare. In caso di fattura gi confermata, l\'eliminazione di un articolo ha come conseguenza la creazione di una nota di credito.');
define('SOFORT_SR_REMOVE_LAST_ARTICLE_HINT', 'Riducendo il numero di tutti gli articoli o rimuovendo l\'ultimo articolo, la fattura verr completamente stornata.');

define('SOFORT_SR_PEN_CON_INV_BUYER', 'Ordine inviato con successo. Conferma non ancora avvenuta.');
define('SOFORT_SR_PEN_CON_INV_SELLER', 'Ordine concluso con successo - la fattura pu essere confermata - ID di transazione:');
define('SOFORT_SR_LOS_CAN_BUYER', 'Ordine annullato.');
define('SOFORT_SR_LOS_CAN_SELLER', '');
define('SOFORT_SR_PEN_NOT_CRE_YET_BUYER', 'Ordine confermato e in elaborazione.');
define('SOFORT_SR_PEN_NOT_CRE_YET_SELLER', 'La fattura  stata confermata e creata.');
define('SOFORT_SR_REF_REF_BUYER', 'L\'importo  stato accreditato.');
define('SOFORT_SR_REF_REF_SELLER', 'L\'importo  stato accreditato. L\'accredito  stato creato.');
define('SOFORT_SR_TRANSLATE_INVOICE_REANIMATED', 'Lo storno della fattura  stato annullato.');
define('SOFORT_SR_LOS_CON_PER_EXP_BUYER', 'Ordine annullato.');
define('SOFORT_SR_LOS_CON_PER_EXP_SELLER', 'L\'ordine  stato annullato. Il termine di conferma  scaduto.');

define('SOFORT_SR_TRANSLATE_CURRENT_TOTAL', 'Importo attuale della fattura:');

define('SOFORT_SR_INVOICE_CONFIRMED', 'La fattura  stata confermata');
define('SOFORT_SR_TRANSLATE_TRANSACTION_ID', 'ID della transazione');
define('SOFORT_SR_TRANSLATE_CANCELED_REFUNDED', 'La fattura  stata annullata. Importo accreditato. {{time}}');
define('SOFORT_SR_TRANSLATE_CART_EDITED', 'Il carrello  stato modificato.');
define('SOFORT_SR_TRANSLATE_CART_RESET', 'Il carrello  stato ripristinato.');

define('SOFORT_MULTIPAY_XML_FAULT_9000', 'Non  stata trovata la transazione della fattura.');
define('SOFORT_MULTIPAY_XML_FAULT_9001', 'Non  stato possibile confermare la fattura.');
define('SOFORT_MULTIPAY_XML_FAULT_9002', 'La somma inserita supera il limite di credito.');
define('SOFORT_MULTIPAY_XML_FAULT_9003', 'Non  stato possibile annullare la fattura.');
define('SOFORT_MULTIPAY_XML_FAULT_9004', 'La richiesta contiene voci del carrello non valide.');
define('SOFORT_MULTIPAY_XML_FAULT_9005', 'Non  stato possibile aggiornare il carrello.');
define('SOFORT_MULTIPAY_XML_FAULT_9006', 'L\'accesso all\'interfaccia non  pi possibile dopo 30 giorni dal ricevimento del pagamento.');
define('SOFORT_MULTIPAY_XML_FAULT_9007', 'La fattura  stata gi annullata.');
define('SOFORT_MULTIPAY_XML_FAULT_9008', 'L\'importo dell\'IVA inserito  troppo alto.');
define('SOFORT_MULTIPAY_XML_FAULT_9009', 'Gli importi delle aliquote IVA indicati negli articoli sono in conflitto tra loro.');
define('SOFORT_MULTIPAY_XML_FAULT_9010', 'Non  stato possibile attualizzare il carrello.');
define('SOFORT_MULTIPAY_XML_FAULT_9011', 'Non  stato indicato alcun commento relativo alla modifica del carrello.');
define('SOFORT_MULTIPAY_XML_FAULT_9012', 'Non pu essere aggiunta alcuna posizione nel carrello. Analogamente non si pu aumentare la quantit delle singole voci.');
define('SOFORT_MULTIPAY_XML_FAULT_9013', 'Nel carrello si trovano solamente articoli non fatturabili.');
define('SOFORT_MULTIPAY_XML_FAULT_9014', 'Il numero di fattura inserito viene gi utilizzato.');
define('SOFORT_MULTIPAY_XML_FAULT_9015', 'Il numero di nota di credito inserito  stato gi utilizzato.');
define('SOFORT_MULTIPAY_XML_FAULT_9016', 'Il numero d\'ordine inserito viene gi utilizzato.');
define('SOFORT_MULTIPAY_XML_FAULT_9017', 'La fattura  stata gi confermata.');
define('SOFORT_MULTIPAY_XML_FAULT_9018', 'Non  stato modificato alcun dato della fattura.');