<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-06-12 16:55:41 +0200 (Wed, 12 Jun 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_ls.php 6216 2013-06-12 14:55:41Z boehm $
 */

//include language-constants used in all Multipay Projects
require_once 'sofort_general.php';


define('SOFORT_LS_CHECKOUT_CONDITIONS', '
	<script type="text/javascript">
		jQuery(document).ready(function() {
			lsOverlay = new sofortOverlay(jQuery(".lsOverlay"), "'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/scripts/getContent.php", "https://documents.sofort.com/de/ls/privacy_de");
		});
		document.write("<a id=\'lsNotice\' href=\'javascript:void(0)\' onclick=\'lsOverlay.trigger();\'>Ich habe die Datenschutzhinweise gelesen.</a>");
	</script>
	
	<div style="display:none; z-index: 1001;filter: alpha(opacity=92);filter: progid :DXImageTransform.Microsoft.Alpha(opacity=92);-moz-opacity: .92;-khtml-opacity: 0.92;opacity: 0.92;background-color: black;position: fixed;top: 0px;left: 0px;width: 100%;height: 100%;text-align: center;vertical-align: middle;" class="lsOverlay">
		<div class="loader" style="z-index: 1002; position: relative;background-color: #fff;border: 5px solid #C0C0C0;top: 40px;overflow: scroll;padding: 4px;border-radius: 7px;-moz-border-radius: 7px;-webkit-border-radius: 7px;margin: auto;width: 620px;height: 400px;overflow: scroll; overflow-x: hidden;">
			<div class="closeButton" style="position: fixed; top: 54px; background: url(ext/modules/payment/sofort/ressources/images/close.png) right top no-repeat;cursor:pointer;height: 30px;width: 30px;">
			</div>
			<div class="content">
			</div>
		</div>
	</div>
	
	<noscript>
		<a href="https://documents.sofort.com/de/ls/privacy_de" target="_blank">
			Ich habe die Datenschutzhinweise gelesen.
		</a>
	</noscript>
');

define('SOFORT_LS_CHECKOUT_CONFIRMATION', '<table border="0" cellspacing="0" cellpadding="0"><tr><td class="main"><p>Nach Besttigung der Bestellung werden wird die Lastschrift mit folgenden Daten durchgefhrt:</p></td></tr></table>');

define('SOFORT_LS_TEXT_DESCRIPTION_EXTRA',
	SOFORT_MULTIPAY_JS_LIBS.'
	<div id="lsExtraDesc">
		<div class="content" style="display:none;"></div>
	</div>
	<script type="text/javascript">
		lsOverlay = new sofortOverlay(jQuery("#lsExtraDesc"), "'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/scripts/getContent.php", "https://documents.sofort.com/ls/shopinfo/de");
	</script>
');

define('SOFORT_LASTSCHRIFT_TEXT_TITLE', 'Lastschrift by SOFORT <br /><img src="https://images.sofort.com/de/ls/logo_90x30.png" alt="Logo Lastschrift"/>');
define('SOFORT_LS_TEXT_TITLE', 'Bankeinzug (Lastschrift)');
define('SOFORT_LS_LOGO_HTML', '<img src="https://images.sofort.com/de/ls/logo_90x30.png" alt="Logo Lastschrift"/>');
define('SOFORT_LS_TEXT_ERROR_MESSAGE', 'Die gewhlte Zahlart ist leider nicht mglich oder wurde auf Kundenwunsch abgebrochen. Bitte whlen Sie eine andere Zahlweise.');
define('SOFORT_MULTIPAY_XML_FAULT_LS', 'Die gewhlte Zahlart ist leider nicht mglich oder wurde auf Kundenwunsch abgebrochen. Bitte whlen Sie eine andere Zahlweise.');
define('SOFORT_LS_CHECKOUT_TEXT', '');
define('SOFORT_LS_SORT_ORDER_TITLE', 'Anzeigereihenfolge');
define('SOFORT_LS_SORT_ORDER_DESC', 'Reihenfolge der Anzeige. Kleinste Ziffer wird zuerst angezeigt.');
define('SOFORT_LS_STATUS_TITLE', 'sofort.de Modul aktivieren');
define('SOFORT_LS_STATUS_DESC', 'Aktiviert/deaktiviert das komplette Modul');
define('SOFORT_LS_TEXT_DESCRIPTION', 'Zahlungsmodul fr Lastschrift by SOFORT');
define('SOFORT_LS_TEXT_ERROR_HEADING', 'Fehler bei der Bestellung aufgetreten.');

define('SOFORT_LS_TEXT_HOLDER', 'Kontoinhaber: ');
define('SOFORT_LS_TEXT_ACCOUNT_NUMBER', 'Kontonummer: ');
define('SOFORT_LS_TEXT_BANK_CODE', 'Bankleitzahl: ');

define('SOFORT_LASTSCHRIFT_ALLOWED_TITLE', 'Erlaubte Zonen');
define('SOFORT_LASTSCHRIFT_ALLOWED_DESC', 'Geben Sie <b>einzeln</b> die Zonen an, welche fr dieses Modul erlaubt sein sollen. (z.B. AT,DE (wenn leer, werden alle Zonen erlaubt))');
define('SOFORT_LS_ZONE_TITLE', SOFORT_MULTIPAY_ZONE_TITLE);
define('SOFORT_LS_ZONE_DESC', SOFORT_MULTIPAY_ZONE_DESC);

define('SOFORT_LS_PEN_NOT_CRE_YET_STATUS_ID_TITLE', 'Besttigter Bestellstatus');
define('SOFORT_LS_PEN_NOT_CRE_YET_STATUS_ID_DESC', 'Besttigter Bestellstatus<br />Bestellstatus nach abgeschlossener Transaktion.'); //(pending-not_credited_yet)

define('SOFORT_LS_LOS_REJ_STATUS_ID_TITLE', 'Rcklastschrift');
define('SOFORT_LS_LOS_REJ_STATUS_ID_DESC', 'Status fr Bestellungen, bei denen eine Rcklastschrift vorliegt.'); // (loss-rejected)

define('SOFORT_LS_REC_CRE_STATUS_ID_TITLE', 'Geldeingang');
define('SOFORT_LS_REC_CRE_STATUS_ID_DESC', 'Status fr Bestellungen, wenn das Geld auf dem Konto der SOFORT Bank angekommen ist.'); // (received-credited)

define('SOFORT_LS_REF_COM_STATUS_ID_TITLE', 'Teilerstattung');
define('SOFORT_LS_REF_COM_STATUS_ID_DESC', 'Status fr Bestellungen, bei denen ein Teilbetrag an den Kufer zurckerstattet wurde.'); // (refunded-compensation)

define('SOFORT_LS_REF_REF_STATUS_ID_TITLE', 'Vollstndige Erstattung');
define('SOFORT_LS_REF_REF_STATUS_ID_DESC', 'Status fr Bestellungen, bei denen der vollstndige Betrag an den Kufer zurckerstattet wurde.'); // (refunded-refunded)

define('SOFORT_LS_LOGO', 'logo_155x50.png');
define('SOFORT_LS_BANNER', 'banner_300x100.png');

define('SOFORT_LS_TMP_COMMENT', 'Lastschrift by SOFORT als Zahlungsart gewhlt. Transaktion nicht abgeschlossen.');
define('SOFORT_LS_TMP_COMMENT_SELLER', 'Weiterleitung zu SOFORT - Bezahlung noch nicht erfolgt.');

define('SOFORT_LS_RECOMMENDED_PAYMENT_TITLE', 'Empfohlene Zahlungsweise');
define('SOFORT_LS_RECOMMENDED_PAYMENT_DESC', 'Diese Zahlart als "empfohlene Zahlungsart" markieren. Auf der Bezahlseite erfolgt ein Hinweis direkt hinter der Zahlungsart.');
define('SOFORT_LS_RECOMMENDED_PAYMENT_TEXT', '(Empfohlene Zahlungsweise)');

define('SOFORT_LS_PEN_NOT_CRE_YET_SELLER', 'Bestellung erfolgreich abgeschlossen - Lastschrifteinzug wird durchgefhrt. Ihre Transaktions-ID: {{tId}}');
define('SOFORT_LS_PEN_NOT_CRE_YET_BUYER', 'Bestellung erfolgreich.');
define('SOFORT_LS_REC_CRE_SELLER', 'Geldeingang auf Konto');
define('SOFORT_LS_REC_CRE_BUYER', '');
define('SOFORT_LS_LOS_REJ_SELLER', '');
define('SOFORT_LS_LOS_REJ_BUYER', 'Zu dieser Transaktion liegt eine Rcklastschrift vor. {{time}}');
define('SOFORT_LS_REF_COM_SELLER', 'Ein Teil des Rechnungsbetrages wird zurckerstattet. Insgesamt zurckgebuchter Betrag: {{refunded_amount}}. {{time}}');
define('SOFORT_LS_REF_COM_BUYER', 'Ein Teil des Betrages wird erstattet.');
define('SOFORT_LS_REF_REF_SELLER', '');
define('SOFORT_LS_REF_REF_BUYER', 'Rechnungsbetrag wird zurckerstattet. {{time}}');
