<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-03-28 15:52:05 +0100 (Thu, 28 Mar 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_general.php 6058 2013-03-28 14:52:05Z rotsch $
 */

define('SOFORT_MULTIPAY_JS_LIBS', '
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/jquery.min_1.8.3.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/jquery-ui.min_1.9.1.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/sofortbox.js"></script>
');

define('SOFORT_MULTIPAY_CONFIGURATION_KEY_TITLE', 'Konfiguracn klc');
define('SOFORT_MULTIPAY_CONFIGURATION_KEY_DESC', 'Konfiguracn klc pridelen SOFORT AG');
define('SOFORT_MULTIPAY_AUTH_TITLE', 'Konfiguracn klc/otestovat API klc');
define('SOFORT_MULTIPAY_AUTH_DESC', '<noscript>Aktivujte prosm Javascript</noscript><script src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/testAuth.js"></script>');
define('SOFORT_MULTIPAY_ZONE_TITLE', 'Platobn zna');
define('SOFORT_MULTIPAY_ZONE_DESC', 'Ked je zvolen niektor zna, plat platobn metda len pre tto znu.');
define('SOFORT_MULTIPAY_REASON_1_TITLE', 'Informcie pre prjemcu 1');
define('SOFORT_MULTIPAY_REASON_1_DESC', 'V informcich pre prjemcu 1 sa mu zvolit nasledovn monosti');
define('SOFORT_MULTIPAY_REASON_2_TITLE', 'Informcie pre prjemcu 2');
define('SOFORT_MULTIPAY_REASON_2_DESC', 'V informcich pre prjemcu (maximlne 27 znakov) je mon zvolit nasledujce zstupn symboly:<br />{{order_date}}<br />{{customer_id}}<br />{{customer_name}}<br />{{customer_company}}<br />{{customer_email}}');
define('SOFORT_MULTIPAY_TEXT_ERROR_HEADING', 'Pocas procesu bola hlsen nasledujca chyba:');
define('SOFORT_MULTIPAY_TEXT_ERROR_MESSAGE', 'Zvolen spsob platby ial nie je mon alebo bol na elanie zkaznka preruen. Prosm, zvolte in spsob platby.');
define('SOFORT_MULTIPAY_IMAGE_TITLE', 'Baner alebo text pri volbe monost platby');
define('SOFORT_MULTIPAY_IMAGE_DESC', 'Baner alebo text pri volbe monost platby');
define('SOFORT_MULTIPAY_PROF_SETTINGS_TITLE', '<span style="font-weight:bold; text-decoration:underline; font-size:1.4em;"><br />Nastavenie profilu</span> ');
define('SOFORT_MULTIPAY_PROF_SETTINGS_DESC', 'Nasledujce nastavenia obycajne nevyaduj iadnu pravu a mali by u obsahovat sprvne hodnoty.');
define('SOFORT_MULTIPAY_LOG_ENABLED_TITLE', 'Aktivovat logging');
define('SOFORT_MULTIPAY_LOG_ENABLED_DESC', 'Aktivujte logging, aby bolo mon zaznamenat chyby, vstrahy, ako aj iadosti na servery SOFORT a odpovede z nich. Logging by sa mal z dvodov ochrany osobnch dajov zapnat iba na hladanie chb. Dalie informcie njdete v prrucke.');

define('SOFORT_MULTIPAY_TEMP_STATUS_ID_TITLE', 'Docasn stav objednvky');
define('SOFORT_MULTIPAY_TEMP_STATUS_ID_DESC', 'Stav objednvky pre neukoncen transakcie. Objednvka bola vytvoren, ale SOFORT AG transakciu ete nepotvrdila.');
define('SOFORT_MULTIPAY_ABORTED_STATUS_ID_TITLE', 'Stav objednvky pri preruenej platbe');
define('SOFORT_MULTIPAY_ABORTED_STATUS_ID_DESC', 'Stav objednvky pri objednvkach, ktor boli preruen pocas procesu platenia.');

define('SOFORT_MULTIPAY_ORDER_CANCELED', 'Objednvka bola preruen.');

define('SOFORT_MULTIPAY_TRANSACTION_ID', 'ID transakcie');
define('SOFORT_MULTIPAY_UPDATE_NOTICE', 'Modul bol aktualizovan. Na zabezpecenie sprvnej funkcie musia byt vetky (!) ete existujce spsoby platby SOFORT odintalovan a nsledne (podla potreby) naintalovan znova. Dovtedy nebud kupujcemu tieto spsoby platby ponknut. Prosm, poznamenajte si pred odintalovanm nastavenia modulov!');

define('SOFORT_MULTIPAY_VERSIONNUMBER', 'Cslo verzie');
define('SOFORT_MULTIPAY_FORWARDING', 'Vaa iadost sa preveruje, prosm, majte chvlku strpenie a proces neprerute. Tento proces me trvat a 30 seknd.');

define('SOFORT_KEYTEST_SUCCESS', 'API klc je spene overen!');
define('SOFORT_KEYTEST_SUCCESS_DESC', 'Test OK dna');
define('SOFORT_KEYTEST_ERROR', 'API klc sa nepodarilo overit!');
define('SOFORT_KEYTEST_ERROR_DESC', 'Pozor: API klc je chybn');
define('SOFORT_KEYTEST_DEFAULT', 'API klc ete nebol testovan');

define('SOFORT_REFRESH_INFO', 'Ak ste tto objednvku prve potvrdili, upravili, vystornovali alebo pripsali k ctu, muste tto strnku prp. {{refresh}}. Iba tak bud vetky zmeny viditeln. ');
define('SOFORT_REFRESH_PAGE', 'Na optovn nactanie strnky kliknite sem');
define('SOFORT_TRANSLATE_TIME', 'Cas');

//definition of error-codes that can resolve by calling the SOFORT-API
define('SOFORT_MULTIPAY_XML_FAULT_0', 'Dolo k neznmej chybe.');
define('SOFORT_MULTIPAY_XML_FAULT_8002', 'Pri overen dolo k chybe.');
define('SOFORT_MULTIPAY_XML_FAULT_8010', 'daje s nepln alebo chybn. Prosm, opravte ich alebo kontaktujte prevdzkovatela e-shopu.');
define('SOFORT_MULTIPAY_XML_FAULT_8011', 'Mimo oblasti platnch hodnt.');
define('SOFORT_MULTIPAY_XML_FAULT_8012', 'Hodnota mus byt pozitvna.');
define('SOFORT_MULTIPAY_XML_FAULT_8013', 'Momentlne s podporovan iba objednvky v eurch. Prosm, opravte to, a potom skste znova.');
define('SOFORT_MULTIPAY_XML_FAULT_8015', 'Celkov ciastka je prli velk alebo prli mal. Prosm, opravte to alebo kontaktujte prevdzkovatela e-shopu.');
define('SOFORT_MULTIPAY_XML_FAULT_8017', 'Neznme znaky.');
define('SOFORT_MULTIPAY_XML_FAULT_8018', 'Maximlny pocet znakov je prekrocen (max. 27).');
define('SOFORT_MULTIPAY_XML_FAULT_8019', 'Objednvku nie je kvli chybnej e-mailovej adrese mon realizovat. Prosm, opravte ju a skste to potom znova.');
define('SOFORT_MULTIPAY_XML_FAULT_8020', 'Objednvku nie je kvli chybnmu telefnnemu cslu mon realizovat. Prosm, opravte ho a skste to potom znova.');
define('SOFORT_MULTIPAY_XML_FAULT_8021', 'Kd krajiny nie je podporovan, prosm, obrtte sa na Vho prevdzkovatela e-shopu.');
define('SOFORT_MULTIPAY_XML_FAULT_8022', 'Uveden kd BIC nie je platn.');
define('SOFORT_MULTIPAY_XML_FAULT_8023', 'Objednvku nie je kvli chybnmu BIC (Bank Identifier Code) mon realizovat. Prosm, opravte ho a skste to potom znova.');
define('SOFORT_MULTIPAY_XML_FAULT_8024', 'Objednvku nie je kvli chybnmu kdu krajiny mon realizovat. Dodacia/fakturacn adresa mus byt v Nemecku. Prosm, opravte ju a skste to potom znova.');
define('SOFORT_MULTIPAY_XML_FAULT_8029', 'Podporovan s iba nemeck cty. Prosm, opravte to alebo zvolte in spsob platby.');
define('SOFORT_MULTIPAY_XML_FAULT_8033', 'Celkov ciastka je prli vysok. Prosm, opravte ju a skste to potom znova.');
define('SOFORT_MULTIPAY_XML_FAULT_8034', 'Celkov ciastka je prli nzka. Prosm, opravte ju a skste to potom znova.');
define('SOFORT_MULTIPAY_XML_FAULT_8041', 'Hodnota dane z pridanej hodnoty chybn. Platn hodnoty: 0, 7 alebo 19.');
define('SOFORT_MULTIPAY_XML_FAULT_8046', 'Overenie bankovho ctu a kdu banky zlyhalo.');
define('SOFORT_MULTIPAY_XML_FAULT_8047', 'Maximlny pocet znakov 225 bol prekrocen.');
define('SOFORT_MULTIPAY_XML_FAULT_8051', 'iadost obsahovala neplatn poloky v nkupnom koku. Prosm, opravte to alebo skontaktujte prevdzkovatela e-shopu.');
define('SOFORT_MULTIPAY_XML_FAULT_8058', 'Prosm, uvedte aspon majitela ctu a skste to potom znova.');
define('SOFORT_MULTIPAY_XML_FAULT_8061', 'Transakcia s dajmi, ktor ste odoslali, u existuje.');
define('SOFORT_MULTIPAY_XML_FAULT_8068', 'Nkup na faktru je momentlne k dispozcii iba pre skromnch zkaznkov.');
define('SOFORT_MULTIPAY_XML_FAULT_10001', 'Prosm, vyplnte kompletne polcka cslo ctu, kd banky a majitel ctu.');
define('SOFORT_MULTIPAY_XML_FAULT_10002', 'Prosm, akceptujte zsady ochrany osobnch dajov.');
define('SOFORT_MULTIPAY_XML_FAULT_10003', 'Zvolenm spsobom platby sa ial ned zaplatit tovar ako downloady alebo darcekov kupny.');
define('SOFORT_MULTIPAY_XML_FAULT_10004', 'Vyskytla sa neznma chyba.');
define('SOFORT_MULTIPAY_XML_FAULT_10005', 'DVyskytla sa neznma chyba.');
define('SOFORT_MULTIPAY_XML_FAULT_10006', 'Vyskytla sa neznma chyba.');
define('SOFORT_MULTIPAY_XML_FAULT_10008', 'Pri synchronizcii so servermi SOFORT dolo k chybe. Prosm, vyuite monosti v menu pre predajcov SOFORT na spracovanie faktry, resp. nkupnho koka.');

//check for empty fields failed (code 8010 = 'must not be empty')
define('SOFORT_MULTIPAY_XML_FAULT_8010.EMAIL_CUSTOMER', 'E-mailov adresa nesmie byt przdna.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.PHONE_CUSTOMER', 'Telefnne cslo nesmie byt przdne.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.FIRSTNAME', 'Meno vo fakturacnej adrese nesmie byt przdne.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.FIRSTNAME', 'Meno v dodacej adrese nesmie byt przdne.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.LASTNAME', 'Priezvisko vo fakturacnej adrese nesmie byt przdne.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.LASTNAME', 'Priezvisko v dodacej adrese nesmie byt przdne.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET', 'Ulica a cslo domu musia byt oddelen medzerou.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET', 'Ulica a cslo domu musia byt oddelen medzerou.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET_NUMBER', 'Ulica a cslo domu musia byt oddelen medzerou.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET_NUMBER', 'Ulica a cslo domu musia byt oddelen medzerou.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.ZIPCODE', 'PSC vo fakturacnej adrese nesmie byt przdne.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.ZIPCODE', 'PSC v dodacej adrese nesmie byt przdne.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.CITY', 'Meno mesta vo fakturacnej adrese nesmie byt przdne.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.CITY', 'Meno mesta v dodacej adrese nesmie byt przdne.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.COUNTRY_CODE', 'Oznacenie krajiny vo fakturacnej adrese nesmie byt przdny.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.COUNTRY_CODE', 'Oznacenie krajiny v dodacej adrese nesmie byt przdny.');

define('SOFORT_MULTIPAY_EMAIL_HTML_TEXT', '  <table style="font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%"><tr><td>
  <p>Dakujeme za Vau objednvku</p>
  <table style="border-top:1px solid; border-bottom:1px solid; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%" border="0">
  <tr bgcolor="#F1F1F1">
  <td width="50%">
  <strong>{{EMAIL_TEXT_DELIVERY_ADDRESS}}:</strong>
  </td>
  <td>
  <strong>{{EMAIL_TEXT_BILLING_ADDRESS}}:</strong>
  </td>
  </tr>
  <tr>
  <td>
  {{DELIVERY_ADRESS}}
  </td>
  <td>
  {{BILLING_ADRESS}}
  </td>
  </tr>
  </table>
  <p>
  {{EMAIL_TEXT_ORDER_NUMBER}} <strong>{{ORDER_ID}}</strong>
  </p>
  <p>
  {{EMAIL_TEXT_DATE_ORDERED}} <strong>{{DATE_ORDERED}}</strong>
  </p>
  <p>
  Komentr: <strong>{{CUSTOMER_COMMENT}}</strong>
  </p>
  <p>
  {{EMAIL_TEXT_INVOICE_URL}}
  <strong><a href="{{INVOICE_URL}}">{{INVOICE_URL}}</a></strong>
  </p>
  <table style="border-bottom:1px solid; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr bgcolor="#F1F1F1">
  <td class="c3" align="left">
  <div style="text-align: left">
  <strong>{{EMAIL_TEXT_PRODUCTS}}:</strong>
  </div>
  </td>
  </tr>
  <tr>
  <td>
  {{Item_List}}
  </td>
  </tr>
  </table>
  <div style="text-align: right">
  {{List_Total}}
  </div><br /><br />
  <p>{{EMAIL_TEXT_PAYMENT_METHOD}}: {{Payment_Modul_Text}}</p>
  {{Payment_Modul_Text_Footer}}
  </td></tr></table>');
define('SOFORT_MULTIPAY_EMAIL_TEXT', '{{STORE_NAME}}
{{EMAIL_SEPARATOR}}
{{EMAIL_TEXT_ORDER_NUMBER}} {{ORDER_ID}}
{{EMAIL_TEXT_INVOICE_URL}} {{INVOICE_URL}}
{{EMAIL_TEXT_DATE_ORDERED}} {{DATE_ORDERED}}

{{EMAIL_TEXT_PRODUCTS}}:
{{EMAIL_SEPARATOR}}
{{Item_List}}
{{EMAIL_SEPARATOR}}
{{List_Total}}

{{EMAIL_TEXT_BILLING_ADDRESS}}:
{{EMAIL_SEPARATOR}}
{{BILLING_ADRESS}}

{{EMAIL_TEXT_DELIVERY_ADDRESS}}:
{{EMAIL_SEPARATOR}}
{{DELIVERY_ADRESS}}

Comment:
{{EMAIL_SEPARATOR}}
{{CUSTOMER_COMMENT}}

{{EMAIL_TEXT_PAYMENT_METHOD}}
{{EMAIL_SEPARATOR}}
{{Payment_Modul_Text}}

{{Payment_Modul_Text_Footer}}');

define('SOFORT_MULTIPAY_TEXT_EMAIL_FOOTER', '');
define('SOFORT_MULTIPAY_TEXT_EMAIL_SUBJECT', '{{EMAIL_TEXT_SUBJECT}}: {{ORDER_ID}}');